aboutsummaryrefslogtreecommitdiffstats
path: root/unmaintained
diff options
context:
space:
mode:
authorEivind Uggedal <eivind@uggedal.com>2014-05-31 11:11:03 +0000
committerEivind Uggedal <eivind@uggedal.com>2014-05-31 11:11:03 +0000
commit35033e272ded059190516be6d51b8e39193e4fb1 (patch)
treed34f78274e28e35975d27f937ae5496c52666192 /unmaintained
parentab958b5c016c9cc606bc57dd231b1b0d133c24ab (diff)
downloadaports-35033e272ded059190516be6d51b8e39193e4fb1.tar.gz
aports-35033e272ded059190516be6d51b8e39193e4fb1.tar.bz2
aports-35033e272ded059190516be6d51b8e39193e4fb1.tar.xz
testing/deadbeef: move to unmaintained
Diffstat (limited to 'unmaintained')
-rw-r--r--unmaintained/deadbeef/APKBUILD49
-rw-r--r--unmaintained/deadbeef/deadbeef-junklib.patch10
-rw-r--r--unmaintained/deadbeef/ffmpeg-avmedia_type.patch31
3 files changed, 90 insertions, 0 deletions
diff --git a/unmaintained/deadbeef/APKBUILD b/unmaintained/deadbeef/APKBUILD
new file mode 100644
index 0000000000..623a01cb01
--- /dev/null
+++ b/unmaintained/deadbeef/APKBUILD
@@ -0,0 +1,49 @@
+# Contributor: William Pitcock <nenolod@dereferenced.org>
+# Maintainer: William Pitcock <nenolod@dereferenced.org>
+pkgname=deadbeef
+pkgver=0.5.1
+_ver=${pkgver/_rc/-rc}
+pkgrel=0
+pkgdesc="fairly capable playlist-oriented audio player"
+url="http://deadbeef.sourceforge.net/"
+arch="all"
+license="GPL"
+depends=
+depends_dev="gtk+-dev libmad-dev alsa-lib-dev ffmpeg-dev libsamplerate-dev
+ gettext-dev libiconv-dev"
+makedepends="$depends_dev intltool"
+install=""
+subpackages="$pkgname-dev $pkgname-lang"
+source="http://downloads.sourceforge.net/project/$pkgname/$pkgname-$_ver.tar.bz2
+ deadbeef-junklib.patch
+ ffmpeg-avmedia_type.patch"
+
+_builddir="${srcdir}/${pkgname}-$_ver"
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ LIBS="-lintl" ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --disable-sid \
+ --disable-ffap || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm "$pkgdir"/usr/lib/deadbeef/*.la
+}
+
+md5sums="be8359d1bd9cf7679cf2ca748996e726 deadbeef-0.5.1.tar.bz2
+8bf4eb1c52f251da7c7a78b2bb021359 deadbeef-junklib.patch
+fec3680b1e06702265313d6ef13c025e ffmpeg-avmedia_type.patch"
diff --git a/unmaintained/deadbeef/deadbeef-junklib.patch b/unmaintained/deadbeef/deadbeef-junklib.patch
new file mode 100644
index 0000000000..63a29ca938
--- /dev/null
+++ b/unmaintained/deadbeef/deadbeef-junklib.patch
@@ -0,0 +1,10 @@
+--- deadbeef-0.5.0-rc1.orig/junklib.c
++++ deadbeef-0.5.0-rc1/junklib.c
+@@ -23,7 +23,6 @@
+ #include <stdlib.h>
+ #include <string.h>
+ #if HAVE_ICONV
+- #define LIBICONV_PLUG
+ #include <iconv.h>
+ #elif HAVE_ICU
+ #warning icu
diff --git a/unmaintained/deadbeef/ffmpeg-avmedia_type.patch b/unmaintained/deadbeef/ffmpeg-avmedia_type.patch
new file mode 100644
index 0000000000..111df4efc0
--- /dev/null
+++ b/unmaintained/deadbeef/ffmpeg-avmedia_type.patch
@@ -0,0 +1,31 @@
+diff --git a/plugins/ffmpeg/ffmpeg.c b/plugins/ffmpeg/ffmpeg.c
+index cd7edf4..36b6d4b 100644
+--- a/plugins/ffmpeg/ffmpeg.c
++++ b/plugins/ffmpeg/ffmpeg.c
+@@ -140,7 +140,7 @@ ffmpeg_init (DB_fileinfo_t *_info, DB_playItem_t *it) {
+ for (i = 0; i < info->fctx->nb_streams; i++)
+ {
+ info->ctx = info->fctx->streams[i]->codec;
+- if (info->ctx->codec_type == CODEC_TYPE_AUDIO)
++ if (info->ctx->codec_type == AVMEDIA_TYPE_AUDIO)
+ {
+ info->codec = avcodec_find_decoder (info->ctx->codec_id);
+ if (info->codec != NULL) {
+@@ -490,7 +490,7 @@ ffmpeg_insert (ddb_playlist_t *plt, DB_playItem_t *after, const char *fname) {
+ for (i = 0; i < fctx->nb_streams; i++)
+ {
+ ctx = fctx->streams[i]->codec;
+- if (ctx->codec_type == CODEC_TYPE_AUDIO)
++ if (ctx->codec_type == AVMEDIA_TYPE_AUDIO)
+ {
+ codec = avcodec_find_decoder(ctx->codec_id);
+ if (codec != NULL && !strcasecmp (codec->name, "alac")) { // only open alac streams
+@@ -745,7 +745,7 @@ ffmpeg_read_metadata (DB_playItem_t *it) {
+ for (i = 0; i < fctx->nb_streams; i++)
+ {
+ ctx = fctx->streams[i]->codec;
+- if (ctx->codec_type == CODEC_TYPE_AUDIO)
++ if (ctx->codec_type == AVMEDIA_TYPE_AUDIO)
+ {
+ codec = avcodec_find_decoder(ctx->codec_id);
+ if (codec != NULL)